{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load humanize %}
{% load active_tag %}

{% block title %} Servicio {{ service.number }} - Editar cargo o descuento {% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
    <li class="breadcrumb-item active"><a href="{% url 'service-extras' slug=service.pk %}">Prefacturación</a></li>
  <li class="breadcrumb-item active">Nuevo</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
<!-- end page-header -->


<ul class="nav nav-pills mb-2">
	<li class="nav-item">
		<a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		</a>
	</li>
	<li class="nav-item">
		<a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Red</span>
			<span class="d-sm-block d-none">Red</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-calls' %}">
		<a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Registro de Llamadas</span>
			<span class="d-sm-block d-none">Registro de Llamadas</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-gallery' %}">
		<a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Galería</span>
			<span class="d-sm-block d-none">Galería</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-documents' %}">
		<a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-extras' %}">
		<a href="{% url 'service-extras' slug=service.slug %}" class="nav-link active">
			<span class="d-sm-none">Prefacturación</span>
			<span class="d-sm-block d-none">Prefacturación</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-plan-orders' %}">
		<a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Orden de Servicio</span>
			<span class="d-sm-block d-none">Orden de Servicio</span>
		</a>
	</li>
    <li class="nav-item {% add_active request 'service-configuration' %}">
        <a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Configuración</span>
            <span class="d-sm-block d-none">Configuración</span>
        </a>
    </li>
	<li class="nav-item {% add_active request 'service-billing' %}">
			<a href="{% url 'service-billing' service.slug %}" class="nav-link">
			  <span class="d-sm-none">Estado de Cuenta servicio</span>
			  <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
			</a>
		  </li> 
	<li class="nav-item {% add_active request 'invoice-list' %}">
		<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
			<span class="d-sm-none">Estado de Cuenta cliente</span>
			<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
		</a>
	</li>		
</ul>






<!-- begin row -->
<div class="row">
	<!-- begin col-12 -->
	<div class="col-xl-12 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Editar Descuento o Cargo</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
      <form method="post">
      {% csrf_token %}
	  <div class="form-group row m-b-15">
			<label for="{{ form.reason.auto_id }}" class="col-form-label col-md-3">Motivo</label>
			<div class="col-sm-9">
					<select name="reason" class="form-control m-b-5" id="id_reason" label=" ">
							{%if obj.reason.calculate_by_days %}
							<option value="{{obj.reason.id}}" selected id="s{{obj.reason.id}}">{{obj.reason}}</option>
							{%else%}
							<option value="{{obj.reason.id}}" selected  id="n{{obj.reason.id}}">{{obj.reason}}</option>
							{%endif%}
						  {%for i in reason %}
						  {%if i.calculate_by_days %}
							<option value="{{i.id}}" id="s{{i.id}}">{{i}}</option>
							{%else%}
							<option value="{{i.id}}" id="n{{i.id}}">{{i}}</option>
							{%endif%}
						  {%endfor%}
						  </select>
			
			  {% for error in form.reason.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
			</div>
			<div id="days" class="form-group row m-b-15">
					<label for="{{ form.days_count.auto_id }}" class="col-form-label col-md-3">Número de días sin servicio<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
						title="Si el cálculo del monto a cargar o descontar depende de la cantidad de días, se debe colocar el número de días"></i></label>
					<div class="col-sm-9">
					<input type="number" name="days_count" value="{{obj.days_count}}" min="1" class="form-control m-b-5" id="id_days_count" />
					
					{% for error in form.days_count.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
					</div>
				</div>

			<div class="form-group row m-b-15" {%if obj.permanent %} hidden {%endif%}>
				<label for="{{ form.number_billing.auto_id }}" class="col-form-label col-md-3">Número de facturas a aplicar<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
					title="Cantidad de ciclos de facturación o facturas en que se debe aplicar este cargo o descuento para este servicio"></i></label>
				<div class="col-sm-9">
				<input type="number" name="number_billing" value="{{obj.number_billing}}" min="1" class="form-control m-b-5" id="id_number_billing" />
				
				{% for error in form.number_billing.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
				</div>
			</div>

			{%if form.quantity %}
			<div class="form-group row m-b-15">
					<label for="{{ form.quantity.auto_id }}" class="col-form-label col-md-3">{{ form.quantity.label}}<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
						title="Cantidad de unidades o equipos. No aplica para todos los motivos, si lo deja vacio es 1"></i></label>
					<div class="col-sm-9">
							<input type="number" name="quantity" value="{{obj.quantity}}" min="1" class="form-control m-b-5" id="id_quantity" />
					
					{% for error in form.quantity.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
					</div>
				</div>
			{%endif%}
			<div class="form-group row m-b-15">
					<label for="{{ form.permanent.auto_id }}" class="col-form-label col-md-3">¿Será permanente? <i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
						title="Indica si es fijo o permanente, es decir, que siempre estará activo y el monto a cargar o descontar será el mismo por ciclo de facturación"></i></label>
					<div class="col-sm-9">
					<input name="permanent" id="id_permanent" type="checkbox" {%if obj.permanent %} checked {%endif%}>
					{% for error in form.permanent.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
					</div>
				</div>
      <input type="submit" class="btn btn-primary" value="Guardar">
      <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
      </form>
    </div>
    <!-- end panel-body -->
    </div>
    <!-- end panel -->
    </div>
    <!-- end col-12 -->
    </div>
    <!-- end row -->

    <!-- begin scroll to top btn -->
    <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
    <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
{%if obj.reason.calculate_by_days %}
<script>
$('#days').show();
$("#id_days_count").prop("required", true);
</script>
{%else%}
<script> 
$('#days').hide();
$("#id_days_count").prop("required", false);
</script>
{%endif%}
<script type="text/javascript">
	document.getElementById("id_reason").onchange = function(event) { 
		if (document.getElementById("s"+document.getElementById("id_reason").value)===null){
			$('#days').hide();
			$("#id_days_count").prop("required", false);
		}
		else {
			$('#days').show();
			$("#id_days_count").prop("required", true);
		}
 }
</script>
{% endblock %}

